import enum

class ActionType(enum.IntEnum):
	TemporaryAction = 0
	DataModificationAction = 1
	AnalysisAction = 2
	DataModificationAndAnalysisAction = 3


class AnalysisSkipReason(enum.IntEnum):
	NoSkipReason = 0
	AlwaysSkipReason = 1
	ExceedFunctionSizeSkipReason = 2
	ExceedFunctionAnalysisTimeSkipReason = 3


class AnalysisState(enum.IntEnum):
	IdleState = 0
	DisassembleState = 1
	AnalyzeState = 2
	ExtendedAnalyzeState = 3


class BranchType(enum.IntEnum):
	UnconditionalBranch = 0
	FalseBranch = 1
	TrueBranch = 2
	CallDestination = 3
	FunctionReturn = 4
	SystemCall = 5
	IndirectBranch = 6
	UnresolvedBranch = 127


class CallingConventionName(enum.IntEnum):
	NoCallingConvention = 0
	CdeclCallingConvention = 1
	PascalCallingConvention = 2
	ThisCallCallingConvention = 3
	STDCallCallingConvention = 4
	FastcallCallingConvention = 5
	CLRCallCallingConvention = 6
	EabiCallCallingConvention = 7
	VectorCallCallingConvention = 8


class DisassemblyOption(enum.IntEnum):
	ShowAddress = 0
	ShowOpcode = 1
	ExpandLongOpcode = 2
	ShowVariablesAtTopOfGraph = 3
	ShowVariableTypesWhenAssigned = 4
	ShowDefaultRegisterTypes = 5
	ShowCallParameterNames = 6
	GroupLinearDisassemblyFunctions = 64
	ShowFlagUsage = 128


class Endianness(enum.IntEnum):
	LittleEndian = 0
	BigEndian = 1


class FindFlag(enum.IntEnum):
	NoFindFlags = 0
	FindCaseInsensitive = 1


class FlagRole(enum.IntEnum):
	SpecialFlagRole = 0
	ZeroFlagRole = 1
	PositiveSignFlagRole = 2
	NegativeSignFlagRole = 3
	CarryFlagRole = 4
	OverflowFlagRole = 5
	HalfCarryFlagRole = 6
	EvenParityFlagRole = 7
	OddParityFlagRole = 8
	OrderedFlagRole = 9
	UnorderedFlagRole = 10


class FormInputFieldType(enum.IntEnum):
	LabelFormField = 0
	SeparatorFormField = 1
	TextLineFormField = 2
	MultilineTextFormField = 3
	IntegerFormField = 4
	AddressFormField = 5
	ChoiceFormField = 6
	OpenFileNameFormField = 7
	SaveFileNameFormField = 8
	DirectoryNameFormField = 9


class FunctionAnalysisSkipOverride(enum.IntEnum):
	DefaultFunctionAnalysisSkip = 0
	NeverSkipFunctionAnalysis = 1
	AlwaysSkipFunctionAnalysis = 2


class FunctionGraphType(enum.IntEnum):
	NormalFunctionGraph = 0
	LowLevelILFunctionGraph = 1
	LiftedILFunctionGraph = 2
	LowLevelILSSAFormFunctionGraph = 3
	MediumLevelILFunctionGraph = 4
	MediumLevelILSSAFormFunctionGraph = 5
	MappedMediumLevelILFunctionGraph = 6
	MappedMediumLevelILSSAFormFunctionGraph = 7


class HighlightColorStyle(enum.IntEnum):
	StandardHighlightColor = 0
	MixedHighlightColor = 1
	CustomHighlightColor = 2


class HighlightStandardColor(enum.IntEnum):
	NoHighlightColor = 0
	BlueHighlightColor = 1
	GreenHighlightColor = 2
	CyanHighlightColor = 3
	RedHighlightColor = 4
	MagentaHighlightColor = 5
	YellowHighlightColor = 6
	OrangeHighlightColor = 7
	WhiteHighlightColor = 8
	BlackHighlightColor = 9


class ILBranchDependence(enum.IntEnum):
	NotBranchDependent = 0
	TrueBranchDependent = 1
	FalseBranchDependent = 2


class ImplicitRegisterExtend(enum.IntEnum):
	NoExtend = 0
	ZeroExtendToFullWidth = 1
	SignExtendToFullWidth = 2


class InstructionTextTokenContext(enum.IntEnum):
	NoTokenContext = 0
	LocalVariableTokenContext = 1
	DataVariableTokenContext = 2
	FunctionReturnTokenContext = 3


class InstructionTextTokenType(enum.IntEnum):
	TextToken = 0
	InstructionToken = 1
	OperandSeparatorToken = 2
	RegisterToken = 3
	IntegerToken = 4
	PossibleAddressToken = 5
	BeginMemoryOperandToken = 6
	EndMemoryOperandToken = 7
	FloatingPointToken = 8
	AnnotationToken = 9
	CodeRelativeAddressToken = 10
	ArgumentNameToken = 11
	HexDumpByteValueToken = 12
	HexDumpSkippedByteToken = 13
	HexDumpInvalidByteToken = 14
	HexDumpTextToken = 15
	OpcodeToken = 16
	StringToken = 17
	CharacterConstantToken = 18
	KeywordToken = 19
	TypeNameToken = 20
	FieldNameToken = 21
	CodeSymbolToken = 64
	DataSymbolToken = 65
	LocalVariableToken = 66
	ImportToken = 67
	AddressDisplayToken = 68
	IndirectImportToken = 69


class IntegerDisplayType(enum.IntEnum):
	DefaultIntegerDisplayType = 0
	BinaryDisplayType = 1
	SignedOctalDisplayType = 2
	UnsignedOctalDisplayType = 3
	SignedDecimalDisplayType = 4
	UnsignedDecimalDisplayType = 5
	SignedHexadecimalDisplayType = 6
	UnsignedHexadecimalDisplayType = 7
	CharacterConstantDisplayType = 8
	PointerDisplayType = 9


class LinearDisassemblyLineType(enum.IntEnum):
	BlankLineType = 0
	CodeDisassemblyLineType = 1
	DataVariableLineType = 2
	HexDumpLineType = 3
	FunctionHeaderLineType = 4
	FunctionHeaderStartLineType = 5
	FunctionHeaderEndLineType = 6
	FunctionContinuationLineType = 7
	LocalVariableLineType = 8
	LocalVariableListEndLineType = 9
	FunctionEndLineType = 10
	NoteStartLineType = 11
	NoteLineType = 12
	NoteEndLineType = 13
	SectionStartLineType = 14
	SectionEndLineType = 15
	SectionSeparatorLineType = 16
	NonContiguousSeparatorLineType = 17


class LogLevel(enum.IntEnum):
	DebugLog = 0
	InfoLog = 1
	WarningLog = 2
	ErrorLog = 3
	AlertLog = 4


class LowLevelILFlagCondition(enum.IntEnum):
	LLFC_E = 0
	LLFC_NE = 1
	LLFC_SLT = 2
	LLFC_ULT = 3
	LLFC_SLE = 4
	LLFC_ULE = 5
	LLFC_SGE = 6
	LLFC_UGE = 7
	LLFC_SGT = 8
	LLFC_UGT = 9
	LLFC_NEG = 10
	LLFC_POS = 11
	LLFC_O = 12
	LLFC_NO = 13
	LLFC_FE = 14
	LLFC_FNE = 15
	LLFC_FLT = 16
	LLFC_FLE = 17
	LLFC_FGE = 18
	LLFC_FGT = 19
	LLFC_FO = 20
	LLFC_FUO = 21


class LowLevelILOperation(enum.IntEnum):
	LLIL_NOP = 0
	LLIL_SET_REG = 1
	LLIL_SET_REG_SPLIT = 2
	LLIL_SET_FLAG = 3
	LLIL_SET_REG_STACK_REL = 4
	LLIL_REG_STACK_PUSH = 5
	LLIL_LOAD = 6
	LLIL_STORE = 7
	LLIL_PUSH = 8
	LLIL_POP = 9
	LLIL_REG = 10
	LLIL_REG_SPLIT = 11
	LLIL_REG_STACK_REL = 12
	LLIL_REG_STACK_POP = 13
	LLIL_REG_STACK_FREE_REG = 14
	LLIL_REG_STACK_FREE_REL = 15
	LLIL_CONST = 16
	LLIL_CONST_PTR = 17
	LLIL_FLOAT_CONST = 18
	LLIL_FLAG = 19
	LLIL_FLAG_BIT = 20
	LLIL_ADD = 21
	LLIL_ADC = 22
	LLIL_SUB = 23
	LLIL_SBB = 24
	LLIL_AND = 25
	LLIL_OR = 26
	LLIL_XOR = 27
	LLIL_LSL = 28
	LLIL_LSR = 29
	LLIL_ASR = 30
	LLIL_ROL = 31
	LLIL_RLC = 32
	LLIL_ROR = 33
	LLIL_RRC = 34
	LLIL_MUL = 35
	LLIL_MULU_DP = 36
	LLIL_MULS_DP = 37
	LLIL_DIVU = 38
	LLIL_DIVU_DP = 39
	LLIL_DIVS = 40
	LLIL_DIVS_DP = 41
	LLIL_MODU = 42
	LLIL_MODU_DP = 43
	LLIL_MODS = 44
	LLIL_MODS_DP = 45
	LLIL_NEG = 46
	LLIL_NOT = 47
	LLIL_SX = 48
	LLIL_ZX = 49
	LLIL_LOW_PART = 50
	LLIL_JUMP = 51
	LLIL_JUMP_TO = 52
	LLIL_CALL = 53
	LLIL_CALL_STACK_ADJUST = 54
	LLIL_TAILCALL = 55
	LLIL_RET = 56
	LLIL_NORET = 57
	LLIL_IF = 58
	LLIL_GOTO = 59
	LLIL_FLAG_COND = 60
	LLIL_FLAG_GROUP = 61
	LLIL_CMP_E = 62
	LLIL_CMP_NE = 63
	LLIL_CMP_SLT = 64
	LLIL_CMP_ULT = 65
	LLIL_CMP_SLE = 66
	LLIL_CMP_ULE = 67
	LLIL_CMP_SGE = 68
	LLIL_CMP_UGE = 69
	LLIL_CMP_SGT = 70
	LLIL_CMP_UGT = 71
	LLIL_TEST_BIT = 72
	LLIL_BOOL_TO_INT = 73
	LLIL_ADD_OVERFLOW = 74
	LLIL_SYSCALL = 75
	LLIL_BP = 76
	LLIL_TRAP = 77
	LLIL_INTRINSIC = 78
	LLIL_UNDEF = 79
	LLIL_UNIMPL = 80
	LLIL_UNIMPL_MEM = 81
	LLIL_FADD = 82
	LLIL_FSUB = 83
	LLIL_FMUL = 84
	LLIL_FDIV = 85
	LLIL_FSQRT = 86
	LLIL_FNEG = 87
	LLIL_FABS = 88
	LLIL_FLOAT_TO_INT = 89
	LLIL_INT_TO_FLOAT = 90
	LLIL_FLOAT_CONV = 91
	LLIL_ROUND_TO_INT = 92
	LLIL_FLOOR = 93
	LLIL_CEIL = 94
	LLIL_FTRUNC = 95
	LLIL_FCMP_E = 96
	LLIL_FCMP_NE = 97
	LLIL_FCMP_LT = 98
	LLIL_FCMP_LE = 99
	LLIL_FCMP_GE = 100
	LLIL_FCMP_GT = 101
	LLIL_FCMP_O = 102
	LLIL_FCMP_UO = 103
	LLIL_SET_REG_SSA = 104
	LLIL_SET_REG_SSA_PARTIAL = 105
	LLIL_SET_REG_SPLIT_SSA = 106
	LLIL_SET_REG_STACK_REL_SSA = 107
	LLIL_SET_REG_STACK_ABS_SSA = 108
	LLIL_REG_SPLIT_DEST_SSA = 109
	LLIL_REG_STACK_DEST_SSA = 110
	LLIL_REG_SSA = 111
	LLIL_REG_SSA_PARTIAL = 112
	LLIL_REG_SPLIT_SSA = 113
	LLIL_REG_STACK_REL_SSA = 114
	LLIL_REG_STACK_ABS_SSA = 115
	LLIL_REG_STACK_FREE_REL_SSA = 116
	LLIL_REG_STACK_FREE_ABS_SSA = 117
	LLIL_SET_FLAG_SSA = 118
	LLIL_FLAG_SSA = 119
	LLIL_FLAG_BIT_SSA = 120
	LLIL_CALL_SSA = 121
	LLIL_SYSCALL_SSA = 122
	LLIL_TAILCALL_SSA = 123
	LLIL_CALL_PARAM = 124
	LLIL_CALL_STACK_SSA = 125
	LLIL_CALL_OUTPUT_SSA = 126
	LLIL_LOAD_SSA = 127
	LLIL_STORE_SSA = 128
	LLIL_INTRINSIC_SSA = 129
	LLIL_REG_PHI = 130
	LLIL_REG_STACK_PHI = 131
	LLIL_FLAG_PHI = 132
	LLIL_MEM_PHI = 133


class MediumLevelILOperation(enum.IntEnum):
	MLIL_NOP = 0
	MLIL_SET_VAR = 1
	MLIL_SET_VAR_FIELD = 2
	MLIL_SET_VAR_SPLIT = 3
	MLIL_LOAD = 4
	MLIL_LOAD_STRUCT = 5
	MLIL_STORE = 6
	MLIL_STORE_STRUCT = 7
	MLIL_VAR = 8
	MLIL_VAR_FIELD = 9
	MLIL_VAR_SPLIT = 10
	MLIL_ADDRESS_OF = 11
	MLIL_ADDRESS_OF_FIELD = 12
	MLIL_CONST = 13
	MLIL_CONST_PTR = 14
	MLIL_FLOAT_CONST = 15
	MLIL_IMPORT = 16
	MLIL_ADD = 17
	MLIL_ADC = 18
	MLIL_SUB = 19
	MLIL_SBB = 20
	MLIL_AND = 21
	MLIL_OR = 22
	MLIL_XOR = 23
	MLIL_LSL = 24
	MLIL_LSR = 25
	MLIL_ASR = 26
	MLIL_ROL = 27
	MLIL_RLC = 28
	MLIL_ROR = 29
	MLIL_RRC = 30
	MLIL_MUL = 31
	MLIL_MULU_DP = 32
	MLIL_MULS_DP = 33
	MLIL_DIVU = 34
	MLIL_DIVU_DP = 35
	MLIL_DIVS = 36
	MLIL_DIVS_DP = 37
	MLIL_MODU = 38
	MLIL_MODU_DP = 39
	MLIL_MODS = 40
	MLIL_MODS_DP = 41
	MLIL_NEG = 42
	MLIL_NOT = 43
	MLIL_SX = 44
	MLIL_ZX = 45
	MLIL_LOW_PART = 46
	MLIL_JUMP = 47
	MLIL_JUMP_TO = 48
	MLIL_CALL = 49
	MLIL_CALL_UNTYPED = 50
	MLIL_CALL_OUTPUT = 51
	MLIL_CALL_PARAM = 52
	MLIL_RET = 53
	MLIL_NORET = 54
	MLIL_IF = 55
	MLIL_GOTO = 56
	MLIL_CMP_E = 57
	MLIL_CMP_NE = 58
	MLIL_CMP_SLT = 59
	MLIL_CMP_ULT = 60
	MLIL_CMP_SLE = 61
	MLIL_CMP_ULE = 62
	MLIL_CMP_SGE = 63
	MLIL_CMP_UGE = 64
	MLIL_CMP_SGT = 65
	MLIL_CMP_UGT = 66
	MLIL_TEST_BIT = 67
	MLIL_BOOL_TO_INT = 68
	MLIL_ADD_OVERFLOW = 69
	MLIL_SYSCALL = 70
	MLIL_SYSCALL_UNTYPED = 71
	MLIL_TAILCALL = 72
	MLIL_TAILCALL_UNTYPED = 73
	MLIL_INTRINSIC = 74
	MLIL_FREE_VAR_SLOT = 75
	MLIL_BP = 76
	MLIL_TRAP = 77
	MLIL_UNDEF = 78
	MLIL_UNIMPL = 79
	MLIL_UNIMPL_MEM = 80
	MLIL_FADD = 81
	MLIL_FSUB = 82
	MLIL_FMUL = 83
	MLIL_FDIV = 84
	MLIL_FSQRT = 85
	MLIL_FNEG = 86
	MLIL_FABS = 87
	MLIL_FLOAT_TO_INT = 88
	MLIL_INT_TO_FLOAT = 89
	MLIL_FLOAT_CONV = 90
	MLIL_ROUND_TO_INT = 91
	MLIL_FLOOR = 92
	MLIL_CEIL = 93
	MLIL_FTRUNC = 94
	MLIL_FCMP_E = 95
	MLIL_FCMP_NE = 96
	MLIL_FCMP_LT = 97
	MLIL_FCMP_LE = 98
	MLIL_FCMP_GE = 99
	MLIL_FCMP_GT = 100
	MLIL_FCMP_O = 101
	MLIL_FCMP_UO = 102
	MLIL_SET_VAR_SSA = 103
	MLIL_SET_VAR_SSA_FIELD = 104
	MLIL_SET_VAR_SPLIT_SSA = 105
	MLIL_SET_VAR_ALIASED = 106
	MLIL_SET_VAR_ALIASED_FIELD = 107
	MLIL_VAR_SSA = 108
	MLIL_VAR_SSA_FIELD = 109
	MLIL_VAR_ALIASED = 110
	MLIL_VAR_ALIASED_FIELD = 111
	MLIL_VAR_SPLIT_SSA = 112
	MLIL_CALL_SSA = 113
	MLIL_CALL_UNTYPED_SSA = 114
	MLIL_SYSCALL_SSA = 115
	MLIL_SYSCALL_UNTYPED_SSA = 116
	MLIL_TAILCALL_SSA = 117
	MLIL_TAILCALL_UNTYPED_SSA = 118
	MLIL_CALL_PARAM_SSA = 119
	MLIL_CALL_OUTPUT_SSA = 120
	MLIL_LOAD_SSA = 121
	MLIL_LOAD_STRUCT_SSA = 122
	MLIL_STORE_SSA = 123
	MLIL_STORE_STRUCT_SSA = 124
	MLIL_INTRINSIC_SSA = 125
	MLIL_FREE_VAR_SLOT_SSA = 126
	MLIL_VAR_PHI = 127
	MLIL_MEM_PHI = 128


class MemberAccess(enum.IntEnum):
	NoAccess = 0
	PrivateAccess = 1
	ProtectedAccess = 2
	PublicAccess = 3


class MemberScope(enum.IntEnum):
	NoScope = 0
	StaticScope = 1
	VirtualScope = 2
	ThunkScope = 3
	FriendScope = 4


class MessageBoxButtonResult(enum.IntEnum):
	NoButton = 0
	YesButton = 1
	OKButton = 2
	CancelButton = 3


class MessageBoxButtonSet(enum.IntEnum):
	OKButtonSet = 0
	YesNoButtonSet = 1
	YesNoCancelButtonSet = 2


class MessageBoxIcon(enum.IntEnum):
	InformationIcon = 0
	QuestionIcon = 1
	WarningIcon = 2
	ErrorIcon = 3


class MetadataType(enum.IntEnum):
	InvalidDataType = 0
	BooleanDataType = 1
	StringDataType = 2
	UnsignedIntegerDataType = 3
	SignedIntegerDataType = 4
	DoubleDataType = 5
	RawDataType = 6
	KeyValueDataType = 7
	ArrayDataType = 8


class ModificationStatus(enum.IntEnum):
	Original = 0
	Changed = 1
	Inserted = 2


class NameType(enum.IntEnum):
	NoNameType = 0
	ConstructorNameType = 1
	DestructorNameType = 2
	OperatorNewNameType = 3
	OperatorDeleteNameType = 4
	OperatorAssignNameType = 5
	OperatorRightShiftNameType = 6
	OperatorLeftShiftNameType = 7
	OperatorNotNameType = 8
	OperatorEqualNameType = 9
	OperatorNotEqualNameType = 10
	OperatorArrayNameType = 11
	OperatorArrowNameType = 12
	OperatorStarNameType = 13
	OperatorIncrementNameType = 14
	OperatorDecrementNameType = 15
	OperatorMinusNameType = 16
	OperatorPlusNameType = 17
	OperatorBitAndNameType = 18
	OperatorArrowStarNameType = 19
	OperatorDivideNameType = 20
	OperatorModulusNameType = 21
	OperatorLessThanNameType = 22
	OperatorLessThanEqualNameType = 23
	OperatorGreaterThanNameType = 24
	OperatorGreaterThanEqualNameType = 25
	OperatorCommaNameType = 26
	OperatorParenthesesNameType = 27
	OperatorTildeNameType = 28
	OperatorXorNameType = 29
	OperatorBitOrNameType = 30
	OperatorLogicalAndNameType = 31
	OperatorLogicalOrNameType = 32
	OperatorStarEqualNameType = 33
	OperatorPlusEqualNameType = 34
	OperatorMinusEqualNameType = 35
	OperatorDivideEqualNameType = 36
	OperatorModulusEqualNameType = 37
	OperatorRightShiftEqualNameType = 38
	OperatorLeftShiftEqualNameType = 39
	OperatorAndEqualNameType = 40
	OperatorOrEqualNameType = 41
	OperatorXorEqualNameType = 42
	VFTableNameType = 43
	VBTableNameType = 44
	VCallNameType = 45
	TypeofNameType = 46
	LocalStaticGuardNameType = 47
	StringNameType = 48
	VBaseDestructorNameType = 49
	VectorDeletingDestructorNameType = 50
	DefaultConstructorClosureNameType = 51
	ScalarDeletingDestructorNameType = 52
	VectorConstructorIteratorNameType = 53
	VectorDestructorIteratorNameType = 54
	VectorVBaseConstructorIteratoreNameType = 55
	VirtualDisplacementMapNameType = 56
	EHVectorConstructorIteratorNameType = 57
	EHVectorDestructorIteratorNameType = 58
	EHVectorVBaseConstructorIteratorNameType = 59
	CopyConstructorClosureNameType = 60
	UDTReturningNameType = 61
	LocalVFTableNameType = 62
	LocalVFTableConstructorClosureNameType = 63
	OperatorNewArrayNameType = 64
	OperatorDeleteArrayNameType = 65
	PlacementDeleteClosureNameType = 66
	PlacementDeleteClosureArrayNameType = 67
	OperatorReturnTypeNameType = 68
	RttiTypeDescriptor = 69
	RttiBaseClassDescriptor = 70
	RttiBaseClassArray = 71
	RttiClassHeirarchyDescriptor = 72
	RttiCompleteObjectLocator = 73
	OperatorUnaryMinusNameType = 74
	OperatorUnaryPlusNameType = 75
	OperatorUnaryBitAndNameType = 76
	OperatorUnaryStarNameType = 77


class NamedTypeReferenceClass(enum.IntEnum):
	UnknownNamedTypeClass = 0
	TypedefNamedTypeClass = 1
	ClassNamedTypeClass = 2
	StructNamedTypeClass = 3
	UnionNamedTypeClass = 4
	EnumNamedTypeClass = 5


class PluginCommandType(enum.IntEnum):
	DefaultPluginCommand = 0
	AddressPluginCommand = 1
	RangePluginCommand = 2
	FunctionPluginCommand = 3
	LowLevelILFunctionPluginCommand = 4
	LowLevelILInstructionPluginCommand = 5
	MediumLevelILFunctionPluginCommand = 6
	MediumLevelILInstructionPluginCommand = 7


class PluginLoadOrder(enum.IntEnum):
	EarlyPluginLoadOrder = 0
	NormalPluginLoadOrder = 1
	LatePluginLoadOrder = 2


class PluginOrigin(enum.IntEnum):
	OfficialPluginOrigin = 0
	CommunityPluginOrigin = 1
	OtherPluginOrigin = 2


class PluginType(enum.IntEnum):
	CorePluginType = 0
	UiPluginType = 1
	ArchitecturePluginType = 2
	BinaryViewPluginType = 3


class PluginUpdateStatus(enum.IntEnum):
	UpToDatePluginStatus = 0
	UpdatesAvailablePluginStatus = 1


class PointerSuffix(enum.IntEnum):
	Ptr64Suffix = 0
	UnalignedSuffix = 1
	RestrictSuffix = 2
	ReferenceSuffix = 3
	LvalueSuffix = 4


class ReferenceType(enum.IntEnum):
	PointerReferenceType = 0
	ReferenceReferenceType = 1
	RValueReferenceType = 2
	NoReference = 3


class RegisterValueType(enum.IntEnum):
	UndeterminedValue = 0
	EntryValue = 1
	ConstantValue = 2
	ConstantPointerValue = 3
	StackFrameOffset = 4
	ReturnAddressValue = 5
	ImportedAddressValue = 6
	SignedRangeValue = 7
	UnsignedRangeValue = 8
	LookupTableValue = 9
	InSetOfValues = 10
	NotInSetOfValues = 11


class ScriptingProviderExecuteResult(enum.IntEnum):
	InvalidScriptInput = 0
	IncompleteScriptInput = 1
	SuccessfulScriptExecution = 2


class ScriptingProviderInputReadyState(enum.IntEnum):
	NotReadyForInput = 0
	ReadyForScriptExecution = 1
	ReadyForScriptProgramInput = 2


class SectionSemantics(enum.IntEnum):
	DefaultSectionSemantics = 0
	ReadOnlyCodeSectionSemantics = 1
	ReadOnlyDataSectionSemantics = 2
	ReadWriteDataSectionSemantics = 3


class SegmentFlag(enum.IntEnum):
	SegmentExecutable = 1
	SegmentWritable = 2
	SegmentReadable = 4
	SegmentContainsData = 8
	SegmentContainsCode = 16
	SegmentDenyWrite = 32
	SegmentDenyExecute = 64


class StringType(enum.IntEnum):
	AsciiString = 0
	Utf16String = 1
	Utf32String = 2


class StructureType(enum.IntEnum):
	ClassStructureType = 0
	StructStructureType = 1
	UnionStructureType = 2


class SymbolType(enum.IntEnum):
	FunctionSymbol = 0
	ImportAddressSymbol = 1
	ImportedFunctionSymbol = 2
	DataSymbol = 3
	ImportedDataSymbol = 4


class TransformType(enum.IntEnum):
	BinaryCodecTransform = 0
	TextCodecTransform = 1
	UnicodeCodecTransform = 2
	DecodeTransform = 3
	BinaryEncodeTransform = 4
	TextEncodeTransform = 5
	EncryptTransform = 6
	InvertingTransform = 7
	HashTransform = 8


class TypeClass(enum.IntEnum):
	VoidTypeClass = 0
	BoolTypeClass = 1
	IntegerTypeClass = 2
	FloatTypeClass = 3
	StructureTypeClass = 4
	EnumerationTypeClass = 5
	PointerTypeClass = 6
	ArrayTypeClass = 7
	FunctionTypeClass = 8
	VarArgsTypeClass = 9
	ValueTypeClass = 10
	NamedTypeReferenceClass = 11


class UpdateResult(enum.IntEnum):
	UpdateFailed = 0
	UpdateSuccess = 1
	AlreadyUpToDate = 2
	UpdateAvailable = 3


class VariableSourceType(enum.IntEnum):
	StackVariableSourceType = 0
	RegisterVariableSourceType = 1
	FlagVariableSourceType = 2
